# nng_req_open(3) Manual Page

## NAME

nng_req_open - create req socket

## SYNOPSIS

    #include <nng/nng.h>
    #include <nng/protocol/reqrep0/req.h>

    int nng_req0_open(nng_socket *s);

    int nng_req0_open_raw(nng_socket *s);

## DESCRIPTION

The `nng_req0_open()` function creates a req version 0 socket and returns it at the location pointed to by s.

The `nng_req0_open_raw()` function creates a req version 0 socket in raw mode and returns it at the location pointed to by s.

## RETURN VALUES

These functions return 0 on success, and non-zero otherwise.

## ERRORS

`NNG_ENOMEM` | Insufficient memory is available.
`NNG_ENOTSUP` | The protocol is not supported.

## SEE ALSO

nng_options(5), nng_socket(5), nng_rep(7), nng_req(7), nng(7)